/*
 * See the files COPYING and README for copyright information and how to reach 
 * the author.
 *
 *  $Id: menuburn.h,v 1.2 2004/12/05 18:50:34 lordjaxom Exp $
 */

#ifndef VDR_BURN_MENUBURN_H
#define VDR_BURN_MENUBURN_H

#include "jobs.h"
#include "vdr_compat.h"
#include <vdr/recording.h>

class cBurnMenuBurn: public cOsdMenu {
private:
	static cRecordings VDRRecordings;
	static cBurnJobQueue ActiveJobs;
	static cBurnJobQueue ErrorJobs;
	static cBurnJobQueue FinishedJobs;
	static cBurnJob *Pending;

	static bool mOpen;
	static char *mPrompt;
	static cCondVar *mWait;
	static cMutex *mMutex;
	static cMutex mProtect;

	eBurnState mBurnState;

protected:
	void Set(void);
	void DisplayRecordings(void);
	void DisplayStatus(void);
	void SetHelpKeys(void);

	void Enqueue(void);
	void Remove(void);

public:
	static void NextJob(void);
	static void Confirm(const char *Prompt);
	static bool JobActive(void) { return ActiveJobs.Count() > 0; }
	static void Housekeeping(void) { FinishedJobs.Clear(); }

	cBurnMenuBurn(void);
	virtual ~cBurnMenuBurn();

	virtual eOSState ProcessKey(eKeys Key);
};

#endif // VDR_BURN_MENUBURN_H
